curl --request PUT \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId} \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"attributes": {},
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}"
payload = {
"attributes": {},
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType"
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {},
displayName: 'Entity display name',
status: 'activated',
type: 'com.uxpsystems.ulm.entity.RegularEntityType'
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'attributes' => [
],
'displayName' => 'Entity display name',
'status' => 'activated',
'type' => 'com.uxpsystems.ulm.entity.RegularEntityType'
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}"
payload := strings.NewReader("{\n \"attributes\": {},\n \"displayName\": \"Entity display name\",\n \"status\": \"activated\",\n \"type\": \"com.uxpsystems.ulm.entity.RegularEntityType\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"attributes\": {},\n \"displayName\": \"Entity display name\",\n \"status\": \"activated\",\n \"type\": \"com.uxpsystems.ulm.entity.RegularEntityType\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"attributes\": {},\n \"displayName\": \"Entity display name\",\n \"status\": \"activated\",\n \"type\": \"com.uxpsystems.ulm.entity.RegularEntityType\"\n}"
response = http.request(request)
puts response.read_body{
"activatedDate": 1514766808000,
"attributes": {},
"createdDate": 1538682581776,
"deactivatedDate": 1543833950000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1527917430000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1538682581776
}{
"fieldErrors": [
{
"field": "<string>",
"code": "<string>",
"code_v2": "length",
"message": "length must be between 0 and 255",
"rejectedValue": "a string that contains more than 255 characters"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "group-not-found",
"message": "The requested resource was not found: com.uxpsystems.mint.framework.group.model.GenericGroup[id:606]"
}
]
}Update a group's details
Updates the group specified by the groupId number. The group is updated according to the details in the request body. The updated group, including its properties and attributes, is returned in the response.
curl --request PUT \
--url https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId} \
--header 'Content-Type: application/json' \
--cookie JSESSIONID= \
--data '
{
"attributes": {},
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType"
}
'import requests
url = "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}"
payload = {
"attributes": {},
"displayName": "Entity display name",
"status": "activated",
"type": "com.uxpsystems.ulm.entity.RegularEntityType"
}
headers = {
"cookie": "JSESSIONID=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {cookie: 'JSESSIONID=', 'Content-Type': 'application/json'},
body: JSON.stringify({
attributes: {},
displayName: 'Entity display name',
status: 'activated',
type: 'com.uxpsystems.ulm.entity.RegularEntityType'
})
};
fetch('https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'attributes' => [
],
'displayName' => 'Entity display name',
'status' => 'activated',
'type' => 'com.uxpsystems.ulm.entity.RegularEntityType'
]),
CURLOPT_COOKIE => "JSESSIONID=",
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}"
payload := strings.NewReader("{\n \"attributes\": {},\n \"displayName\": \"Entity display name\",\n \"status\": \"activated\",\n \"type\": \"com.uxpsystems.ulm.entity.RegularEntityType\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "JSESSIONID=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}")
.header("cookie", "JSESSIONID=")
.header("Content-Type", "application/json")
.body("{\n \"attributes\": {},\n \"displayName\": \"Entity display name\",\n \"status\": \"activated\",\n \"type\": \"com.uxpsystems.ulm.entity.RegularEntityType\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://nxt-ulm-pdt.m1amdocs.io/platform/rest/v85/group/{groupId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["cookie"] = 'JSESSIONID='
request["Content-Type"] = 'application/json'
request.body = "{\n \"attributes\": {},\n \"displayName\": \"Entity display name\",\n \"status\": \"activated\",\n \"type\": \"com.uxpsystems.ulm.entity.RegularEntityType\"\n}"
response = http.request(request)
puts response.read_body{
"activatedDate": 1514766808000,
"attributes": {},
"createdDate": 1538682581776,
"deactivatedDate": 1543833950000,
"displayName": "Entity display name",
"id": 1,
"status": "activated",
"suspendedDate": 1527917430000,
"type": "com.uxpsystems.ulm.entity.RegularEntityType",
"updatedDate": 1538682581776
}{
"fieldErrors": [
{
"field": "<string>",
"code": "<string>",
"code_v2": "length",
"message": "length must be between 0 and 255",
"rejectedValue": "a string that contains more than 255 characters"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "authentication-required",
"message": "Full Authentication Required"
}
]
}{
"operationError": {
"code": "<string>",
"message": "Bad user input",
"type": "<string>",
"authorities": [
"<string>"
]
},
"stackTrace": "<string>",
"operationErrors": [
{
"code": "ACCESS_FORBIDDEN",
"message": "Access Denied"
}
]
}{
"operationErrors": [
{
"code": "group-not-found",
"message": "The requested resource was not found: com.uxpsystems.mint.framework.group.model.GenericGroup[id:606]"
}
]
}Authorizations
Path Parameters
The unique ID number of the group Example: 606
Body
The data model that contains the possible group properties and attributes that can be updated.
The data model that contains the possible group properties and attributes.
Response
OK
The data fields that define a ULM group. Note: Not all of the listed fields may be present in a response.
The entity’s activation date and time, expressed in UNIX Epoch time
1514766808000
Group Response Attributes
Show child attributes
Show child attributes
The entity’s creation date and time in UNIX Epoch time
1538682581776
The entity’s deactivation date and time, expressed in UNIX Epoch time
1543833950000
The display name of the entity
"Entity display name"
The unique ID of an entity.
1
The status of the entity. Possible values include:
- activating - The entity has been provisioned, but is not yet ready to be used or consumed.
- activated - The entity is active, and the functionality to which it is tied is enabled.
- suspended - The entity is temporarily deactivated, but can be reactivated in the future.
- deactivated - The entity is permanently deactivated, and may be deleted from the system in the near future.
- pending - The entity has been added but is not yet verified for use. It may be linked to an existing entity in order to eventually replace the original entity.
- unknown - This is a generic, catch all state for specific entities.
Note: This field is the current status in GET calls, and the desired status in PUT and POST calls.
activating, activated, suspended, deactivated, pending, unknown "activated"
The entity’s suspension date and time, expressed in UNIX Epoch time
1527917430000
A particular type of a given entity.
"com.uxpsystems.ulm.entity.RegularEntityType"
The most recent date and time that the entity was updated, expressed in UNIX Epoch time
1538682581776

